Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# datetime.h File Reference

Declares classes to add SQL-compatible date and time types to C++'s type system. More...

`#include "common.h"`
`#include "comparable.h"`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::DateTime
| C++ form of SQL's DATETIME type. More...
class | mysqlpp::Date
| C++ form of SQL's DATE type. More...
class | mysqlpp::Time
| C++ form of SQL's TIME type. More...

## Detailed Description

Declares classes to add SQL-compatible date and time types to C++'s type system.